Skip to main content
GET
/
external-accounts
/
{externalAccountId}
Get external account
curl --request GET \
  --url https://api.natural.co/external-accounts/{externalAccountId} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "type": "externalAccount",
    "id": "eac_550e8400e29b41d4a716446655440000",
    "attributes": {
      "bankName": "Chase",
      "accountName": "Business Checking",
      "accountType": "checking",
      "lastFour": "6789",
      "status": "active",
      "connectionStatus": "active",
      "createdAt": "2026-01-04T15:30:00Z"
    },
    "relationships": {
      "party": {
        "data": {
          "type": "party",
          "id": "pty_7c9e6679e29b41d4a716446655440001"
        }
      }
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Agent-ID
string | null

Agent ID (agt_xxx) identifying which agent is making the request.

X-Instance-ID
string | null

Required when X-Agent-ID is present. Session or conversation ID for agent observability.

Maximum string length: 1024

Path Parameters

externalAccountId
string
required

External account ID

Pattern: ^eac_[0-9a-f]{32}$

Response

Successful Response

data
ExternalAccountResource · object
required